PULLFIRST[THE RECORD]

/v1/permits/block

GET
/v1/permits/block
AuthorizationBearer <token>

API key passed as a Bearer token. Keys start with sk_live_.

In: header

Query Parameters

street?string
Length0 <= length <= 200
city?string
Length0 <= length <= 200
page?integer
Default1
Match^-?(?:0|[1-9]\d*)$
Formatint32
Range1 <= value <= 2147483647
pageSize?integer
Default20
Match^-?(?:0|[1-9]\d*)$
Formatint32
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/docs-proxy/v1/permits/block"
{
  "permits": [
    {
      "permit": {
        "id": 0,
        "permitNumber": "string",
        "city": "string",
        "contractorName": "string",
        "contractorAddress": "string",
        "propertyAddress": "string",
        "permitType": "string",
        "workType": "string",
        "status": "string",
        "value": 0,
        "description": "string",
        "issueDate": "2019-08-24T14:15:22Z",
        "completeDate": "2019-08-24T14:15:22Z",
        "latitude": 0,
        "longitude": 0,
        "parcelNumber": "string",
        "totalFees": 0,
        "totalPayments": 0,
        "outstandingBalance": 0,
        "approvedDate": "2019-08-24T14:15:22Z",
        "expirationDate": "2019-08-24T14:15:22Z",
        "inspectionCount": 0
      },
      "contractorLicenseNumber": "string",
      "contractorLicenseName": "string",
      "matchConfidence": "string",
      "tier": "string",
      "verificationSignals": "string",
      "candidateCount": 0
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0,
  "locations": [
    {
      "id": 0,
      "latitude": 0.1,
      "longitude": 0.1,
      "permitNumber": "string",
      "propertyAddress": "string",
      "permitType": "string",
      "contractorName": "string",
      "value": 0,
      "issueDate": "2019-08-24T14:15:22Z",
      "contractorLicenseNumber": "string",
      "workType": "string",
      "description": "string"
    }
  ],
  "summary": {
    "totalPermits": 0,
    "uniqueAddresses": 0,
    "uniqueContractors": 0,
    "totalValue": 0.1,
    "permitTypes": {
      "property1": 0,
      "property2": 0
    },
    "mostRecentDate": "2019-08-24T14:15:22Z",
    "tierBreakdown": {
      "verified": 0,
      "likely": 0,
      "possible": 0,
      "ambiguous": 0
    }
  }
}
Empty